
SUBDIRS = util math vm io ui gforce

AM_CPPFLAGS=-DUNIX_X $(GTK_CFLAGS) -DSINGIT_DATA_DIR=\"${datadir}\"

INCLUDES = $(DFLAGS) $(all_includes) -I$(top_builddir)/src/include \
	-I$(top_builddir) -I$(top_srcdir) -I./include -I./include/io \
	-I./include/ui -I./include/math -I./include/util \
	-I./include/vm -I./include/gforce -I./include/whitecap

noinst_HEADERS = displayer_sdl.h SDL_prim.h

lib_LTLIBRARIES = libdisplayer_sdl.la

libdisplayer_sdl_la_LDFLAGS = -module -avoid-version \
	-no-undefined -export-symbols-regex "lib.*_LTX_get_dplugin_info"
libdisplayer_sdl_la_LIBADD = $(SINGIT_LIBS) $(SDL_LIBS) \
	gforce/libgforce.la io/libio.la \
	math/libmath.la ui/libui.la util/libutil.la vm/libvm.la \
	$(top_builddir)/src/libxmms_singit.la

libdisplayer_sdl_la_SOURCES = displayer_sdl.c SDL_prim.c sdl_handlers.cpp \
	sdl_skd_handlers.c sdl_helpers.c displayer_sdl_config.c \
	displayer_sdl_config_dlg.c displayer_sdl_lyrics.c \
	displayer_sdl_status.c

libdir = "${SINGIT_INSTALL_DIR}/xmms-singit"
